import { createStore } from 'vuex'
import { getPhotoLogList } from '@/api'

export default createStore({
	state: {
		photoLogList: []
	},
	mutations: {
		SET_PHOTO_LOG_LIST(state, newPhotoLogList) {
			state.photoLogList = newPhotoLogList
		}
	},
	actions: {
		loadPhotoLogList({commit}) {
			getPhotoLogList().then((response) => {
				commit('SET_PHOTO_LOG_LIST', response.data)
			}).catch((error) => {
				console.log(error)
			})
		}
	},
	modules: {},
})
